libzypp 17.37.10

proxyinfolibproxy.cc File Reference
`#include <zypp-core/AutoDispose.h>`
`#include <iostream>`
`#include <optional>`
`#include <cstdlib>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/fs/WatchFile>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-curl/proxyinfo/ProxyInfoLibproxy>`
`#include <dlfcn.h>`
`#include <glib.h>`

Go to the source code of this file.

## Classes
struct | zypp::media::TmpUnsetEnv

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::media

## Functions
bool | zypp::env::inYAST ()
static pxProxyFactoryType * | zypp::media::getProxyFactory ()